Index: branch/elmansour/Emb_App.tws
===================================================================
--- branch/elmansour/Emb_App.tws	(revision 308)
+++ branch/elmansour/Emb_App.tws	(revision 309)
@@ -12,16 +12,18 @@
 "E:\tp_info6_elmansour\bsp\uart0.c" 
 "E:\tp_info6_elmansour\Emb_App\conf_noyau.cfg" 
 "E:\tp_info6_elmansour\Emb_App\crt0mr.a30" 
+"E:\tp_info6_elmansour\Emb_App\Debug\mr308.inc" 
 "E:\tp_info6_elmansour\Emb_App\Debug\mrtable.a30" 
 "E:\tp_info6_elmansour\Emb_App\programme_principal_etud.c" 
 [WORKSPACE_FILE_STATES]
-"E:\tp_info6_elmansour\Emb_App\Debug\mrtable.a30" 50 50 1430 351 0 2 
-"E:\tp_info6_elmansour\Emb_App\conf_noyau.cfg" 75 75 1430 351 0 3 
-"E:\tp_info6_elmansour\Emb_App\crt0mr.a30" -8 -30 1596 539 1 0 
-"E:\tp_info6_elmansour\Emb_App\programme_principal_etud.c" 0 0 1596 539 0 1 
-"E:\tp_info6_elmansour\bsp\periph.c" 100 100 1430 351 0 4 
-"E:\tp_info6_elmansour\bsp\radiocommande.c" 125 125 1430 351 0 5 
-"E:\tp_info6_elmansour\bsp\uart0.c" 150 150 1430 351 0 6 
+"E:\tp_info6_elmansour\Emb_App\Debug\mr308.inc" 0 0 1430 351 0 7 
+"E:\tp_info6_elmansour\Emb_App\Debug\mrtable.a30" 50 50 1430 351 0 1 
+"E:\tp_info6_elmansour\Emb_App\conf_noyau.cfg" 75 75 1430 351 0 2 
+"E:\tp_info6_elmansour\Emb_App\crt0mr.a30" -8 -30 1596 539 1 6 
+"E:\tp_info6_elmansour\Emb_App\programme_principal_etud.c" 0 0 1596 539 0 0 
+"E:\tp_info6_elmansour\bsp\periph.c" 100 100 1430 351 0 3 
+"E:\tp_info6_elmansour\bsp\radiocommande.c" 125 125 1430 351 0 4 
+"E:\tp_info6_elmansour\bsp\uart0.c" 0 0 1430 351 0 5 
 [LOADED_PROJECTS]
 "EmbM32C87App" 
 [END]
Index: branch/elmansour/Emb_App/SessionM32C_E8a_system.ini
===================================================================
--- branch/elmansour/Emb_App/SessionM32C_E8a_system.ini	(revision 308)
+++ branch/elmansour/Emb_App/SessionM32C_E8a_system.ini	(revision 309)
@@ -25,4 +25,4 @@
 [Target]
 M32C E8a SYSTEM=Renesas Communications
 [USER_DATA]
-RESET=ff0018
+RESET=ff001a
Index: branch/elmansour/Emb_App/SessionM32C_E8a_system.hsf
===================================================================
--- branch/elmansour/Emb_App/SessionM32C_E8a_system.hsf	(revision 308)
+++ branch/elmansour/Emb_App/SessionM32C_E8a_system.hsf	(revision 309)
@@ -141,7 +141,7 @@
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWndInstanceKey0" "{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_DENORMAL_MODE" "0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_ROUND_MODE" "0" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000000001" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_10" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_11" "0000000000000000" 
@@ -148,13 +148,13 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_12" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_13" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_14" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000512" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF05FD" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000FFF800" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000A1A" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "0000000000000830" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF001A" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "000000000000C400" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000004080" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_21" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_22" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_23" "0000000000000000" 
@@ -169,12 +169,12 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_31" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_32" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_33" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_34" "000000000000036A" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_34" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_35" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000004" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000FF0000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000A38" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000512" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_8" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_9" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_COUNT" "36" 
@@ -205,9 +205,11 @@
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth2" "120" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth3" "200" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH" "c,buff,n,rx,flag," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000" "dishorizontale, 10, 0, P, Col, Hex, N" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000" "dishorizontale, 10, 0, P, Col, Dec, N" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000_SCOPE" "Current Scope," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "1" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0001" "capteur, 10, 0, P, Col, Dec, N" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0001_SCOPE" "Current Scope," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "2" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth0" "120" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth1" "150" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth12" "200" 
@@ -229,7 +231,7 @@
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd3ColWidth3" "200" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd3ECX_WATCH" "" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd3ECX_WATCH_ITEMCnt" "0" 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWndInitial_Radix" "0" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWndInitial_Radix" "1" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWndInstanceKey0" "{WK_00000001_WATCH}EmbM32C87AppSessionM32C_E8a_system" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWndRecentFile_WatchRecord" "" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWndRecentFile_WatchSave" "" 
@@ -277,14 +279,14 @@
 0 
 [WINDOW_POSITION_STATE_DATA_VD1]
 "Help" "TOOLBAR 0" 59419 2 4 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
-"{WK_00000001_CmdLine}" "WINDOW" 59422 0 3 "0.07" 365 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
+"{WK_00000001_CmdLine}" "WINDOW" 59422 0 2 "0.12" 365 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
 "{WK_00000001_DISASSEMBLY}" "WINDOW" 0 0 0 "0.00" 0 -4 -30 948 486 9 0 "" "0.0" 
-"{WK_00000001_EVENT}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 0 "0.11" 365 0 0 350 200 18 0 "32774|32775|32777|<<separator>>|32780|<<separator>>" "0.0" 
+"{WK_00000001_EVENT}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 1 "0.05" 365 0 0 350 200 18 0 "32774|32775|32777|<<separator>>|32780|<<separator>>" "0.0" 
 "{WK_00000001_MEMORY}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 1 "0.23" 365 2 -1 350 200 2065 0 "42202|42203|42204|42233|<<separator>>|42206|42205|42230|42229|42207|<<separator>>|42208|42209|42210|49076|42228|42227|<<separator>>|42231|42232|42234|42235|<<separator>>|42211|<<separator>>|32796|32797" "0.0" 
-"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 2 "0.53" 365 0 0 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
-"{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 4 "0.10" 365 0 0 350 200 18 0 "47300|47301|47302|47303|47304|47305|47314|47306|47307|47308|47311|47312|47313|42211|42509|42303" "0.0" 
+"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 0 "0.76" 365 0 0 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
+"{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 4 "0.05" 365 0 0 350 200 18 0 "47300|47301|47302|47303|47304|47305|47314|47306|47307|47308|47311|47312|47313|42211|42509|42303" "0.0" 
 "{WK_00000001_REGISTERS}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59421 0 0 "1.00" 236 0 0 350 200 2065 0 "" "0.0" 
-"{WK_00000001_WATCH}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 1 "0.26" 365 0 0 350 200 18 0 "32781|32783|<<separator>>|32771|32772|32773|<<separator>>|32786|<<separator>>|32810|32811" "0.0" 
+"{WK_00000001_WATCH}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 3 "0.14" 365 0 0 350 200 18 0 "32781|32783|<<separator>>|32771|32772|32773|<<separator>>|32786|<<separator>>|32810|32811" "0.0" 
 "{WK_00000002_WORKSPACE}" "WINDOW" 59420 0 0 "1.00" 308 0 0 350 200 18 0 "" "0.0" 
 "{WK_TB00000001_STANDARD}" "TOOLBAR 0" 59419 0 2 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
 "{WK_TB00000002_EDITOR}" "TOOLBAR 0" 59419 0 0 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
@@ -311,11 +313,12 @@
 [WINDOW_Z_ORDER]
 "E:\tp_info6_elmansour\Emb_App\crt0mr.a30" 
 "E:\tp_info6_elmansour\Emb_App\programme_principal_etud.c" 
+"E:\tp_info6_elmansour\Emb_App\conf_noyau.cfg" 
 "E:\tp_info6_elmansour\bsp\radiocommande.c" 
+"E:\tp_info6_elmansour\Emb_App\Debug\mr308.inc" 
+"E:\tp_info6_elmansour\Emb_App\Debug\mrtable.a30" 
+"E:\tp_info6_elmansour\bsp\periph.c" 
 "E:\tp_info6_elmansour\bsp\uart0.c" 
-"E:\tp_info6_elmansour\Emb_App\conf_noyau.cfg" 
-"E:\tp_info6_elmansour\bsp\periph.c" 
-"E:\tp_info6_elmansour\Emb_App\Debug\mrtable.a30" 
 [TARGET_NAME]
 "M32C E8a SYSTEM" "" 0 
 [STATUSBAR_STATEINFO_VD1]
@@ -362,5 +365,4 @@
 [FLASH_DETAILS]
 "" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
 [BREAKPOINTS]
-"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 101162552 1 "{00000000-0000-0000-C000-000000000046}" "" 
 [END]
Index: branch/elmansour/Emb_App/programme_principal_etud.c
===================================================================
--- branch/elmansour/Emb_App/programme_principal_etud.c	(revision 308)
+++ branch/elmansour/Emb_App/programme_principal_etud.c	(revision 309)
@@ -123,12 +123,13 @@
 int k=1;
 unsigned agl_roue;
 unsigned distance;
-//unsigned dishorizontal;
+unsigned dishorizontalfix;
+unsigned dishorizontal;
+unsigned erreur=0;
+unsigned vits;
 
 
 void tourelle(){
-	CanFrame comm;
-	CanFrame requete,reponse;
 	while (1) {
 		//lire l angle de torelle
 		/*requete.data.id='R';
@@ -136,7 +137,7 @@
 		snd_dtq(CanTx,requete.msg);
 		rcv_dtq(CanRx, &reponse.msg);
 		alpha=reponse.data.val;*/
-		CanFrame req;
+		CanFrame req,comm;
 	    UINT flag;
      	req.data.id='R';
     	req.data.rtr=1;
@@ -151,69 +152,115 @@
 		comm.data.rtr=0;
 		comm.data.val=k*(450-alpha);
 		snd_dtq(CanTx,comm.msg);
-		dly_tsk(10);
-		
-
-		
+		dly_tsk(20);
 	}
 }
+
 void demarrer (){
+	dly_tsk(5000);
+	while(1){
 	CanFrame requete;
 	/*do{
 	dly_tsk(50);
 	}while(abs(k*(450-alpha))>2); */
-	dly_tsk(5000);
-	
-	//mis en mouvement la voiture en vitess de 30
 	requete.data.id='V';
 	requete.data.rtr=0;
-	requete.data.val=46;
+	vits=45;
+	if(abs(distance-707)>30) requete.data.val=30;
+	/*{
+	do{
+	if(vits>20) vits=vits-7;
+	requete.data.val=vits;
+	dly_tsk(5);
+	}while(abs(distance-707)>10);
+	}*/
+	else requete.data.val=vits;
 	snd_dtq(CanTx, requete.msg);
+	dly_tsk(5);
+	}
 }
+
 void roues(){
-	CanFrame comm;
-	CanFrame req;
-	UINT flag;
-	req.data.id='D';
+	dly_tsk(1000);
+	/*req.data.id='D';
 	req.data.rtr=1;
 	periph[ADDR('D')].ev=0x02;
 	snd_dtq(CanTx,req.msg);
 	wai_flg(ev_periph, 0x02,TWF_ANDW, &flag);
-	agl_roue=periph[ADDR('D')].val;
-	
+	agl_roue=periph[ADDR('D')].val;*/
 	//commander la rotation des roues
+	//dishorizontalfix=distance*sin(3.14*alpha/1800);
 	while(1){
+	CanFrame req,comm;
+	UINT flag;
+	//dishorizontal=distance*sin(3.14*alpha/1800);	
+	//erreur=dishorizontal-dishorizontalfix;
 	comm.data.id='D';
 	comm.data.rtr=0;
-	comm.data.val=2*(distance-730);
+	comm.data.val=2*(distance-707);
 	snd_dtq(CanTx, comm.msg);
+	dly_tsk(10);
 	}
 		
 }
 void distance_mur(){
 	//lire la distance entre la voiture et le mur
+	while(1){
 	CanFrame req;
 	UINT flag;
-	while(1){
 	req.data.id='U';
 	req.data.rtr=1;
-	periph[ADDR('U')].ev=0x01;
+	periph[ADDR('U')].ev=0x02;
 	snd_dtq(CanTx,req.msg);
-	wai_flg(ev_periph, 0x01,TWF_ANDW, &flag);
+	wai_flg(ev_periph, 0x02,TWF_ANDW, &flag);
 	distance=periph[ADDR('U')].val;
-	//dishorizontal=distance*cos(90-alpha/10);
+	dly_tsk(10);
 	}
 	
 }
+void capt(){
+	while(1){
+	CanFrame req;
+	int capteur;
+	UINT flag;
+	req.data.id='C';
+	req.data.rtr=1;
+	periph[ADDR('R')].ev=0x03;
+	snd_dtq(CanTx, req.msg);
+	wai_flg(ev_periph, 0x03, TWF_ANDW, &flag);
+	capteur=periph[ADDR('C')].val;
+	dly_tsk(20);
+	}
+	}
+void feurouge(){
+	while(1){
+	CanFrame req;
+	int feu;
+	UINT flag;
+	req.data.id='M';
+	req.data.rtr=1;
+	periph[ADDR('M')].ev=0x04;
+	snd_dtq(CanTx, req.msg);
+	wai_flg(ev_periph, 0x04, TWF_ANDW, &flag);
+	feu=periph[ADDR('M')].val;
+	dly_tsk(20);
+	}
+	}
+
 
-void main()
-{	
-//	CanFrame comm;
+void main()
+
+{
+	CanFrame comm;
+		comm.data.id='T';
+		comm.data.rtr=0;
+		comm.data.val=120;
+		snd_dtq(CanTx,comm.msg);
+		dly_tsk(20);	
 	ports_mcu();
     lcd_init();
 	periph_init();
 	periph_nom("#Mansour*");
-
 
     can_init();
     clavier_init(1);
@@ -221,20 +268,14 @@
 
 	sta_cyc(ID_acqui);
 	sta_tsk(ID_periph_rx);
-//	comm.data.id='T';
-//	comm.data.rtr=0;
-//	comm.data.val=120;
-//	snd_dtq(CanTx,comm.msg);
-//	sta_tsk(ID_tourelle);
-//	sta_tsk(ID_demarer);
-//	sta_tsk(ID_roues);
-//	sta_tsk(ID_distance_mur);
+
 		sta_tsk(ID_tourelle);
     	sta_tsk(ID_demarrer);
-	    
 	    sta_tsk(ID_distance_mur);	
 		dly_tsk(2000);
 		sta_tsk(ID_roues);
+		sta_tsk(ID_capt);
+		sta_tsk(ID_feurouge);
 	
     while(1)
     {
Index: branch/elmansour/Emb_App/conf_noyau.cfg
===================================================================
--- branch/elmansour/Emb_App/conf_noyau.cfg	(revision 308)
+++ branch/elmansour/Emb_App/conf_noyau.cfg	(revision 309)
@@ -66,7 +66,7 @@
 	name	= ID_demarrer;
 	stack_size	= 256;
 	stack_section	= stack;
-	priority	= 2;
+	priority	= 5;
 	initial_start	= OFF;
 	exinf	= 0x0;
 };
@@ -75,7 +75,7 @@
 	name	= ID_tourelle;
 	stack_size	= 256;
 	stack_section	= stack;
-	priority	= 2;
+	priority	= 1;
 	initial_start	= OFF;
 	exinf	= 0x0;
 };
@@ -97,6 +97,24 @@
 	initial_start	= OFF;
 	exinf	= 0x0;
 };
+task[]{
+	entry_address	= capt();
+	name	= ID_capt;
+	stack_size	= 256;
+	stack_section	= stack;
+	priority	= 4;
+	initial_start	= OFF;
+	exinf	= 0x0;
+};
+task[]{
+	entry_address	= feurouge();
+	name	= ID_feurouge;
+	stack_size	= 256;
+	stack_section	= stack;
+	priority	= 3;
+	initial_start	= OFF;
+	exinf	= 0x0;
+};
 
 flag[]{
 	name	= ev_bus_fin_tr;
Index: branch/elmansour/Emb_App/DefaultSession.hsf
===================================================================
--- branch/elmansour/Emb_App/DefaultSession.hsf	(revision 308)
+++ branch/elmansour/Emb_App/DefaultSession.hsf	(revision 309)
@@ -59,12 +59,13 @@
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
 "E:\tp_info6_elmansour\Emb_App\programme_principal_etud.c" 
+"E:\tp_info6_elmansour\Emb_App\conf_noyau.cfg" 
 "E:\tp_info6_elmansour\Emb_App\crt0mr.a30" 
 "E:\tp_info6_elmansour\bsp\radiocommande.c" 
+"E:\tp_info6_elmansour\Emb_App\Debug\mr308.inc" 
+"E:\tp_info6_elmansour\Emb_App\Debug\mrtable.a30" 
+"E:\tp_info6_elmansour\bsp\periph.c" 
 "E:\tp_info6_elmansour\bsp\uart0.c" 
-"E:\tp_info6_elmansour\Emb_App\conf_noyau.cfg" 
-"E:\tp_info6_elmansour\bsp\periph.c" 
-"E:\tp_info6_elmansour\Emb_App\Debug\mrtable.a30" 
 [TARGET_NAME]
 "" "" 0 
 [STATUSBAR_STATEINFO_VD1]
Index: branch/elmansour/Emb_App/EmbM32C87App.tps
===================================================================
--- branch/elmansour/Emb_App/EmbM32C87App.tps	(revision 308)
+++ branch/elmansour/Emb_App/EmbM32C87App.tps	(revision 309)
@@ -18,7 +18,7 @@
 "SessionM32C_E8a_system" 
 [GENERAL_DATA_PROJECT]
 [GENERAL_DATA_CONFIGURATION_Debug]
-"PROJECT_FILES_MODIFIED_DATA_TAG" "FALSE" 
+"PROJECT_FILES_MODIFIED_DATA_TAG" "TRUE" 
 [SESSIONS_Debug]
 "DefaultSession" 
 "SessionM32C_E8a_system" 